Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## portlets.compoze.groupware.mail
Class Flag

    java.lang.Object
      portlets.compoze.groupware.mail.Flag

All Implemented Interfaces:
  java.io.Serializable

public class Flag
extends java.lang.Object
implements java.io.Serializable

This class represents a flag.

See Also:
  Serialized Form

Field Summary
`static Flag` | `CLEAR_FLAG` This value represents 'clear flag'.
`static int` | `COLOR_RED` This represents the 'red' color.
`static int` | `COLOR_WHITE` This represents the 'white' color.
`static Flag` | `COMPLETE` This value represents 'complete'.
`static Flag` | `EMPTY` This value represents 'empty'.
`static Flag` | `FOLLOW_UP` This value represents 'follow up'.
`static Flag` | `FOR_YOUR_INFORMATION` This value represents 'for your information'.
`static Flag` | `FORWARD` This value represents 'forward'.
`static Flag` | `NO_RESPONSE_NECESSARY` This value represents 'no response necessary'.
`static Flag` | `READ` This value represents 'read'.
`static Flag` | `REPLY` This value represents 'reply'.
`static Flag` | `REVIEW` This value represents 'review'.
`static int` | `VALUE_CLEAR_FLAG` This value represents 'clear flag'.
`static int` | `VALUE_COMPLETE` This value represents 'complete'.
`static int` | `VALUE_EMPTY` This value represents 'empty'.
`static int` | `VALUE_FOLLOW_UP` This value represents 'follow up'.
`static int` | `VALUE_FOR_YOUR_INFORMATION` This value represents 'for your information'.
`static int` | `VALUE_FORWARD` This value represents 'forward'.
`static int` | `VALUE_NO_RESPONSE_NECESSARY` This value represents 'no response necessary'.
`static int` | `VALUE_READ` This value represents 'read'.
`static int` | `VALUE_REPLY` This value represents 'reply'.
`static int` | `VALUE_REPLY_TO_ALL` This value represents 'reply to all'.
`static int` | `VALUE_REVIEW` This value represents 'review'.

Constructor Summary
`Flag(java.lang.String sFlagText, int iColor)` Constructor.

Method Summary
`boolean` | `equals(java.lang.Object o)` Checks for equality.
`static Flag` | `get(int iValue)` Gets the flag by the value.
`int` | `getColor()` Gets the color of the flag.
`static java.util.List` | `getFlags()` Gets the list of flag objects.
`java.lang.String` | `getKey()` Gets the key (message name) for i18n.
`java.lang.String` | `getText()` Gets the flag text.
`int` | `getValue()` Gets the value of the flag.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COLOR_RED

    public static final int COLOR_RED

  This represents the 'red' color.

  See Also:
    Constant Field Values

### COLOR_WHITE

    public static final int COLOR_WHITE

  This represents the 'white' color.

  See Also:
    Constant Field Values

### VALUE_EMPTY

    public static final int VALUE_EMPTY

  This value represents 'empty'.

  See Also:
    Constant Field Values

### VALUE_FOLLOW_UP

    public static final int VALUE_FOLLOW_UP

  This value represents 'follow up'.

  See Also:
    Constant Field Values

### VALUE_FOR_YOUR_INFORMATION

    public static final int VALUE_FOR_YOUR_INFORMATION

  This value represents 'for your information'.

  See Also:
    Constant Field Values

### VALUE_FORWARD

    public static final int VALUE_FORWARD

  This value represents 'forward'.

  See Also:
    Constant Field Values

### VALUE_NO_RESPONSE_NECESSARY

    public static final int VALUE_NO_RESPONSE_NECESSARY

  This value represents 'no response necessary'.

  See Also:
    Constant Field Values

### VALUE_REVIEW

    public static final int VALUE_REVIEW

  This value represents 'review'.

  See Also:
    Constant Field Values

### VALUE_REPLY_TO_ALL

    public static final int VALUE_REPLY_TO_ALL

  This value represents 'reply to all'.

  See Also:
    Constant Field Values

### VALUE_READ

    public static final int VALUE_READ

  This value represents 'read'.

  See Also:
    Constant Field Values

### VALUE_REPLY

    public static final int VALUE_REPLY

  This value represents 'reply'.

  See Also:
    Constant Field Values

### VALUE_COMPLETE

    public static final int VALUE_COMPLETE

  This value represents 'complete'.

  See Also:
    Constant Field Values

### VALUE_CLEAR_FLAG

    public static final int VALUE_CLEAR_FLAG

  This value represents 'clear flag'.

  See Also:
    Constant Field Values

### EMPTY

    public static final Flag EMPTY

  This value represents 'empty'.

### FOLLOW_UP

    public static final Flag FOLLOW_UP

  This value represents 'follow up'.

### FOR_YOUR_INFORMATION

    public static final Flag FOR_YOUR_INFORMATION

  This value represents 'for your information'.

### FORWARD

    public static final Flag FORWARD

  This value represents 'forward'.

### NO_RESPONSE_NECESSARY

    public static final Flag NO_RESPONSE_NECESSARY

  This value represents 'no response necessary'.

### REVIEW

    public static final Flag REVIEW

  This value represents 'review'.

### REPLY

    public static final Flag REPLY

  This value represents 'reply'.

### READ

    public static final Flag READ

  This value represents 'read'.

### COMPLETE

    public static final Flag COMPLETE

  This value represents 'complete'.

### CLEAR_FLAG

    public static final Flag CLEAR_FLAG

  This value represents 'clear flag'.

Constructor Detail

### Flag

    public Flag(java.lang.String sFlagText,
                int iColor)

  Constructor.

Parameters:
  `iColor` - the color (see `COLOR_` constants)

Method Detail

### getKey

    public java.lang.String getKey()

  Gets the key (message name) for i18n.

  Returns:
    the key

### getText

    public java.lang.String getText()

  Gets the flag text.

  Returns:
    the flag text

### getValue

    public int getValue()

  Gets the value of the flag.

  Returns:
    the value (see `VALUE_` constants)

### getColor

    public int getColor()

  Gets the color of the flag.

  Returns:
    the color (see `COLOR_` constants)

### get

    public static Flag get(int iValue)

  Gets the flag by the value.

  Parameters:
    `iValue` - the value to get by
  Returns:
    the matching flag or `null` if not found

### getFlags

    public static java.util.List getFlags()

  Gets the list of flag objects.

  Returns:
    the list of `Flag` objects (unmodifiable)

### equals

    public boolean equals(java.lang.Object o)

  Checks for equality. The value is used to determine equality.

  Parameters:
    `o` - the object to check
  Returns:
    `true` if this object has the same value as the argument; `false` otherwise
  See Also:
    `getValue()`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.